Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.ToTreeless

Synopsis

- toTreeless :: QName -> TCM (Maybe TTerm)
- closedTermToTreeless :: Term -> TCM TTerm

# Documentation

toTreeless :: QName -> TCM (Maybe TTerm) #

Converts compiled clauses to treeless syntax.

Note: Do not use any of the concrete names in the returned term for identification purposes! If you wish to do so, first apply the Agda.Compiler.Treeless.NormalizeNames transformation.

closedTermToTreeless :: Term -> TCM TTerm #